---
cron-jobs/adjust-permissions | 10 ++++----
cron-jobs/create-filelists | 24 ++++++++++----------
cron-jobs/devlist-mailer | 10 ++++----
cron-jobs/ftpdir-cleanup | 2 +-
cron-jobs/sourceballs | 16 +++++++-------
cron-jobs/sourceballs-cleanup | 6 ++--
db-community | 2 +-
db-community-testing | 2 +-
db-core | 2 +-
db-extra | 2 +-
db-functions | 20 +++++++++---------
db-move | 16 +++++++-------
db-remove | 16 +++++++-------
db-testing | 2 +-
db-update | 44 +++++++++++++++++++-------------------
misc-scripts/ftpdir-cleanup | 46 ++++++++++++++++++++--------------------
misc-scripts/make-sourceball | 8 +++---
testing2community | 2 +-
testing2community-any | 2 +-
testing2community64 | 2 +-
testing2core | 2 +-
testing2core-any | 2 +-
testing2core64 | 2 +-
testing2extra | 2 +-
testing2extra-any | 2 +-
testing2extra64 | 2 +-
testing2x | 6 ++--
27 files changed, 126 insertions(+), 126 deletions(-)
diff --git a/cron-jobs/adjust-permissions b/cron-jobs/adjust-permissions
index c3d71a3..6b201ca 100755
--- a/cron-jobs/adjust-permissions
+++ b/cron-jobs/adjust-permissions
@@ -12,15 +12,15 @@ fi
get_dir_owner() {
case $1 in
core)
- echo "ftp:ftp-arch" ;;
+ echo 'ftp:ftp-arch' ;;
extra)
- echo "ftp:ftp-extra" ;;
+ echo 'ftp:ftp-extra' ;;
testing)
- echo "ftp:ftp-extra" ;;
+ echo 'ftp:ftp-extra' ;;
community)
- echo "root:tusers" ;;
+ echo 'root:tusers' ;;
community-testing)
- echo "root:tusers" ;;
+ echo 'root:tusers' ;;
esac
}
diff --git a/cron-jobs/create-filelists b/cron-jobs/create-filelists
index 6bbb345..f53a65d 100755
--- a/cron-jobs/create-filelists
+++ b/cron-jobs/create-filelists
@@ -1,15 +1,15 @@
#!/bin/bash
-reposdir="/srv/ftp"
-targetdir="/srv/ftp"
-repos="core extra testing community community-testing"
-lock="/tmp/create-filelists.lock"
+reposdir='/srv/ftp'
+targetdir='/srv/ftp'
+repos='core extra testing community community-testing'
+lock='/tmp/create-filelists.lock'
. "$(dirname $0)/../db-functions"
. "$(dirname $0)/../config"
if [ -f "$lock" ]; then
- echo "Error: create-filelists already in progress."
+ echo 'Error: create-filelists already in progress.'
exit 1
fi
@@ -25,9 +25,9 @@ TMPDIR="$(mktemp -d /tmp/create-filelists.tmpdir.XXXXXX)" || exit 1
/usr/bin/renice +10 -p $$ > /dev/null
case "${DBEXT}" in
- *.gz) TAR_OPT="z" ;;
- *.bz2) TAR_OPT="j" ;;
- *.xz) TAR_OPT="J" ;;
+ *.gz) TAR_OPT='z' ;;
+ *.bz2) TAR_OPT='j' ;;
+ *.xz) TAR_OPT='J' ;;
*) echo "Unknown compression type for DBEXT=${DBEXT}" && exit 1 ;;
esac
@@ -41,7 +41,7 @@ for repo in $repos; do
cd "$reposdir"
repodir="${repo}/os/${arch}"
- cached="no"
+ cached='no'
# extract package db archive
if [ -f "${targetdir}/${repodir}/${REPO_DB_FILE}" ]; then
@@ -58,7 +58,7 @@ for repo in $repos; do
mkdir -p "${CACHEDIR}/${repodir}"
# echo "extracting $FILES_DB_FILE"
bsdtar -xf "${targetdir}/${repodir}/${FILES_DB_FILE}" -C "${CACHEDIR}/${repodir}"
- cached="yes"
+ cached='yes'
fi
# create file lists
@@ -77,12 +77,12 @@ for repo in $repos; do
filename=$(grep -A1 '^%FILENAME%$' "${dbpkgdir}/desc" | tail -n1)
echo '%FILES%' > "${tmppkgdir}/files"
bsdtar --exclude=.* -tf "$repodir/$filename" >> "${tmppkgdir}/files"
- cached="no"
+ cached='no'
fi
done
# create new file archive
- if [ "$cached" == "no" ]; then
+ if [ "$cached" == 'no' ]; then
# at least one package has changed, so let's rebuild the archive
# echo "creating ${FILES_DB_FILE}/${arch}"
pkgdir="${targetdir}/${repodir}"
diff --git a/cron-jobs/devlist-mailer b/cron-jobs/devlist-mailer
index 10f8662..3d24336 100755
--- a/cron-jobs/devlist-mailer
+++ b/cron-jobs/devlist-mailer
@@ -2,13 +2,13 @@
#Dummy helper to send email to arch-dev
# It does nothing if no output
-LIST="arch-dev-public(a)archlinux.org"
-#LIST="aaronmgriffin(a)gmail.com"
-FROM="repomaint(a)archlinux.org"
+LIST='arch-dev-public(a)archlinux.org'
+#LIST='aaronmgriffin(a)gmail.com'
+FROM='repomaint(a)archlinux.org'
-SUBJECT="Repository Maintenance $(date +"%d-%m-%Y")"
+SUBJECT="Repository Maintenance $(date +'%d-%m-%Y')"
if [ $# -ge 1 ]; then
- SUBJECT="$1 $(date +"%d-%m-%Y")"
+ SUBJECT="$1 $(date +'%d-%m-%Y')"
fi
if [ $# -ge 2 ]; then
diff --git a/cron-jobs/ftpdir-cleanup b/cron-jobs/ftpdir-cleanup
index 53fcb72..8fa8cbc 100755
--- a/cron-jobs/ftpdir-cleanup
+++ b/cron-jobs/ftpdir-cleanup
@@ -5,7 +5,7 @@
repos="$(get_repos_for_host)"
-LOCKFILE="/tmp/.ftpdircleanup.lock"
+LOCKFILE='/tmp/.ftpdircleanup.lock'
cleanup () {
rm -f "$LOCKFILE"
diff --git a/cron-jobs/sourceballs b/cron-jobs/sourceballs
index fc27114..836fc48 100755
--- a/cron-jobs/sourceballs
+++ b/cron-jobs/sourceballs
@@ -1,13 +1,13 @@
#!/bin/bash
-ftpbase="/srv/ftp"
-srcbase="/srv/ftp/sources"
-repos="core extra testing" #community"
+ftpbase='/srv/ftp'
+srcbase='/srv/ftp/sources'
+repos='core extra testing' #community'
. "$(dirname $0)/../db-functions"
. "$(dirname $0)/../config"
-LOCKFILE="/tmp/.sourceball.lock"
+LOCKFILE='/tmp/.sourceball.lock'
cleanup () {
rm -f "$LOCKFILE"
@@ -34,10 +34,10 @@ set_umask
dirname="$(/bin/readlink -f $(/usr/bin/dirname $0))"
-FAILED_PKGS=""
+FAILED_PKGS=''
[ -e "$srcbase/errors.txt" ] && /bin/mv "$srcbase/errors.txt" "$srcbase/errors.txt.old"
-echo "Errors occured during run:" > "$srcbase/errors.txt"
+echo 'Errors occured during run:' > "$srcbase/errors.txt"
for repo in $repos; do
for arch in ${ARCHES[@]} any; do
@@ -68,7 +68,7 @@ for repo in $repos; do
#Use this file to 'whitelist' or force building some sourceballs,
# skipping the license check
- force=""
+ force=''
if grep "^$pkgbase\$" "$dirname/sourceballs.force" >/dev/null 2>&1; then
force="-f"
fi
@@ -85,7 +85,7 @@ done
if [ -n "$FAILED_PKGS" ]; then
[ -e "$srcbase/failed.txt" ] && /bin/mv "$srcbase/failed.txt" "$srcbase/failed.txt.old"
- echo "The following package bases failed:" > "$srcbase/failed.txt"
+ echo 'The following package bases failed:' > "$srcbase/failed.txt"
echo -e $FAILED_PKGS | sed "s| |\n|g" | sort -u >> "$srcbase/failed.txt"
fi
diff --git a/cron-jobs/sourceballs-cleanup b/cron-jobs/sourceballs-cleanup
index 7c2e1ce..17a27b7 100755
--- a/cron-jobs/sourceballs-cleanup
+++ b/cron-jobs/sourceballs-cleanup
@@ -6,7 +6,7 @@
srcpath="$FTP_BASE/sources/"
logfile="$srcpath/cleanup.txt"
-LOCKFILE="/tmp/.sourceball-cleanup.lock"
+LOCKFILE='/tmp/.sourceball-cleanup.lock'
WORKDIR="/tmp/sourceball-cleanup.$packagename.$UID"
cleanup () {
@@ -17,7 +17,7 @@ cleanup () {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -40,7 +40,7 @@ set_umask
cd "$WORKDIR"
[ -e "$logfile" ] && /bin/mv "$logfile" "$logfile.old"
-echo "Orphaned sourceballs:" > "$logfile"
+echo 'Orphaned sourceballs:' > "$logfile"
for sourceball in "$srcpath"/*$SRCEXT; do
packagename=$(basename $sourceball)
diff --git a/db-community b/db-community
index 44767a5..b5c5b6a 100755
--- a/db-community
+++ b/db-community
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "community"
+$(dirname $0)/db-update 'community'
diff --git a/db-community-testing b/db-community-testing
index eb4cf67..68a31a5 100755
--- a/db-community-testing
+++ b/db-community-testing
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "community-testing"
+$(dirname $0)/db-update 'community-testing'
diff --git a/db-core b/db-core
index eaa5032..91fca84 100755
--- a/db-core
+++ b/db-core
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "core"
+$(dirname $0)/db-update 'core'
diff --git a/db-extra b/db-extra
index d14b50e..bc5360f 100755
--- a/db-extra
+++ b/db-extra
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "extra"
+$(dirname $0)/db-update 'extra'
diff --git a/db-functions b/db-functions
index 77af195..c9aed8a 100644
--- a/db-functions
+++ b/db-functions
@@ -1,13 +1,13 @@
#!/bin/bash
# Random integrity things
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
# Useful functions
-UMASK=""
+UMASK=''
set_umask () {
- [ "$UMASK" == "" ] && UMASK="$(umask)"
+ [ "$UMASK" == '' ] && UMASK="$(umask)"
umask 002
}
@@ -69,7 +69,7 @@ _grep_pkginfo() {
getpkgbase() {
local _base
- _base="$(_grep_pkginfo "$1" "^pkgbase")"
+ _base="$(_grep_pkginfo "$1" '^pkgbase')"
if [ -z "$_base" ]; then
getpkgname "$1"
fi
@@ -81,7 +81,7 @@ getpkgbase() {
getpkgname() {
local _name
- _name="$(_grep_pkginfo "$1" "^pkgname")"
+ _name="$(_grep_pkginfo "$1" '^pkgname')"
if [ -z "$_name" ]; then
echo "ERROR: Package '$1' has no pkgname in the PKGINFO. Fail!" >&2
exit 1
@@ -94,7 +94,7 @@ getpkgname() {
getpkgver() {
local _ver
- _ver="$(_grep_pkginfo "$1" "^pkgver")"
+ _ver="$(_grep_pkginfo "$1" '^pkgver')"
if [ -z "$_ver" ]; then
echo "ERROR: Package '$1' has no pkgver in the PKGINFO. Fail!" >&2
exit 1
@@ -133,7 +133,7 @@ getpkgfiles() {
check_pkg_arch () { #check_pkg_arch pkgfile arch
local _arch
- _arch="$(_grep_pkginfo "$1" "^arch")"
+ _arch="$(_grep_pkginfo "$1" '^arch')"
if [ -z "$_arch" ]; then
echo "ERROR: Package '$1' has no arch in the PKGINFO. Fail!" >&2
@@ -147,10 +147,10 @@ check_pkg_arch () { #check_pkg_arch pkgfile arch
}
get_repos_for_host() {
- if [ "$(hostname)" = "sigurd" ]; then
- echo "community community-testing"
+ if [ "$(hostname)" = 'sigurd' ]; then
+ echo 'community community-testing'
else
- echo "core extra testing"
+ echo 'core extra testing'
fi
}
diff --git a/db-move b/db-move
index 9e57046..d385f12 100755
--- a/db-move
+++ b/db-move
@@ -18,7 +18,7 @@ ftppath_to="$FTP_BASE/$repoto/os/"
svnrepo_from="$repofrom-$_arch"
svnrepo_to="$repoto-$_arch"
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
WORKDIR="$TMPDIR/db-move.$svnrepo_from.$svnrepo_to.$UID"
@@ -32,7 +32,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -63,22 +63,22 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
done
if [ -d "$packagebase/repos/$svnrepo_to" ]; then
- echo " Removing existing package from subversion"
+ echo ' Removing existing package from subversion'
/usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo_to"
/usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un) for move to $repoto"
fi
- echo " Moving svn entries"
+ echo ' Moving svn entries'
/usr/bin/svn mv -r HEAD "$packagebase/repos/$svnrepo_from" "$packagebase/repos/$svnrepo_to"
/usr/bin/svn commit -m "$(basename $0): moved $packagebase from [$repofrom] to [$repoto] ($_arch)"
- echo " Moving package file and updating DBs"
+ echo ' Moving package file and updating DBs'
cd "$WORKDIR"
[ -d build/ ] || mkdir build
cd build/
- if [ "${_arch}" == "any" ]; then
- arches="i686 x86_64"
+ if [ "${_arch}" == 'any' ]; then
+ arches='i686 x86_64'
else
arches="${_arch}"
fi
@@ -90,7 +90,7 @@ if [ -d "$packagebase/repos/$svnrepo_from" ]; then
/usr/bin/repo-remove -q "$repofrom$DBEXT" ${pkgname[@]} || die "Error in repo-remove"
#use '*' to move the old DB too
mv $repofrom$DBEXT* "$ftppath_from/$architecture"
- echo " Package files will be cleaned up automatically"
+ echo ' Package files will be cleaned up automatically'
fi
if [ -f "$ftppath_to/$architecture/$repoto$DBEXT" ]; then
diff --git a/db-remove b/db-remove
index 8307d4c..6ad4791 100755
--- a/db-remove
+++ b/db-remove
@@ -15,7 +15,7 @@ _arch="$3"
ftppath="$FTP_BASE/$reponame/os"
svnrepo="$reponame-$_arch"
-[ "$UID" = "" ] && UID=$(uid)
+[ "$UID" = '' ] && UID=$(uid)
WORKDIR="$TMPDIR/db-remove.$svnrepo.$UID"
@@ -28,7 +28,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -53,22 +53,22 @@ cd checkout
/usr/bin/svn up -q $packagebase
if [ -d "$packagebase/repos/$svnrepo" ]; then
- echo " Removing from subversion"
+ echo ' Removing from subversion'
. "$packagebase/repos/$svnrepo/$BUILDSCRIPT"
/usr/bin/svn rm --force -q "$packagebase/repos/$svnrepo"
/usr/bin/svn commit -q -m "$(basename $0): $packagebase removed by $(id -un)"
else
echo " Warning: $packagebase not found in $svnrepo"
- echo " Removing split packages is not supported"
- echo " You need to specify each sub package instead"
+ echo ' Removing split packages is not supported'
+ echo ' You need to specify each sub package instead'
pkgname=$packagebase
fi
cd "$WORKDIR"
[ -d build/ ] || mkdir build
-if [ "$_arch" == "any" ]; then
- arches="i686 x86_64"
+if [ "$_arch" == 'any' ]; then
+ arches='i686 x86_64'
else
arches="$_arch"
fi
@@ -88,7 +88,7 @@ for architecture in $arches; do
/bin/mv "$reponame$DBEXT" "$ftppath/$architecture"
- echo "Package files will be cleaned up automatically"
+ echo 'Package files will be cleaned up automatically'
cd ..
done
cleanup
diff --git a/db-testing b/db-testing
index 579ae37..4c88958 100755
--- a/db-testing
+++ b/db-testing
@@ -1,3 +1,3 @@
#!/bin/bash
-$(dirname $0)/db-update "testing"
+$(dirname $0)/db-update 'testing'
diff --git a/db-update b/db-update
index 7bd1d64..be16499 100755
--- a/db-update
+++ b/db-update
@@ -9,7 +9,7 @@ fi
. "$(dirname $0)/config"
reponame="$1"
-current_arch=""
+current_arch=''
# ensure we should be playing with this DB on this server
repos="$(get_repos_for_host)"
@@ -25,8 +25,8 @@ if [ $found -ne 1 ]; then
fi
WORKDIR="$TMPDIR/db-update.$reponame.$UID"
-ADDPKGS=""
-ANYPKGS=""
+ADDPKGS=''
+ANYPKGS=''
stagedir="$STAGING/$reponame"
if [ ! -d $stagedir ]; then
@@ -35,22 +35,22 @@ if [ ! -d $stagedir ]; then
fi
if [ -d "${stagedir}64" ]; then
- echo "--------------------------------------------------"
- echo "It looks like you have an old staging dir"
- echo "Packages are now differentiated by the arch in the filename."
+ echo '--------------------------------------------------'
+ echo 'It looks like you have an old staging dir'
+ echo 'Packages are now differentiated by the arch in the filename.'
echo "Please delete '${stagedir}64'"
- echo "--------------------------------------------------"
+ echo '--------------------------------------------------'
/bin/mv "${stagedir}64/add/"* "$stagedir/add/"
/bin/mv "${stagedir}64/del/"* "$stagedir/del/"
fi
if [ -d "${stagedir}/add" ]; then
- echo "--------------------------------------------------"
- echo "It looks like you have an old staging dir"
- echo "The 'add' and 'del' dirs are no longer used."
- echo "Please delete staging/<reponame>/{add,del}"
- echo " and ensure you are using the newest devtools"
- echo "--------------------------------------------------"
+ echo '--------------------------------------------------'
+ echo 'It looks like you have an old staging dir'
+ echo 'The 'add' and 'del' dirs are no longer used.'
+ echo 'Please delete staging/<reponame>/{add,del}'
+ echo ' and ensure you are using the newest devtools'
+ echo '--------------------------------------------------'
/bin/mv "${stagedir}/add/"* "$stagedir/"
fi
@@ -62,7 +62,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 1
}
@@ -101,7 +101,7 @@ if [ -n "$ANYPKGS" ]; then
/usr/bin/svn checkout -N $SVNREPO checkout
cd checkout
- to_add_any=""
+ to_add_any=''
for pkg in $ANYPKGS; do
_pkgfile=$(basename $pkg)
_pkgname="$(getpkgname $pkg)"
@@ -135,7 +135,7 @@ for current_arch in ${ARCHES[@]}; do
if [ ! -d "$ftppath" ]; then
echo "FTP path for this repo ($reponame) is missing"
echo " -> $ftppath"
- echo "Please contact a system administrator"
+ echo 'Please contact a system administrator'
exit 1
fi
@@ -153,7 +153,7 @@ for current_arch in ${ARCHES[@]}; do
echo "Updating DB for $svnrepo"
- to_add=""
+ to_add=''
if [ -d "$stagedir" ]; then
ADDPKGS="$(getpkgfiles $stagedir/*-${current_arch}$PKGEXT 2>/dev/null)"
fi
@@ -202,16 +202,16 @@ for current_arch in ${ARCHES[@]}; do
cd "$WORKDIR/build/"
for f in $to_add $to_add_any; do /bin/cp "$f" .; done
- pkgs=""
+ pkgs=''
for pkg in $to_add $to_add_any; do pkgs="$pkgs $(basename $pkg)"; done
/usr/bin/repo-add -q "$reponame$DBEXT" $pkgs
else
rm -f "build/$reponame$DBEXT"
- echo "Errors found when adding packages"
+ echo 'Errors found when adding packages'
fi
else
- echo "No packages to add"
+ echo 'No packages to add'
fi
# if non empty, move all build dirs
@@ -240,11 +240,11 @@ for current_arch in ${ARCHES[@]}; do
die "failed to move repository $reponame-$current_arch".
fi
else
- echo "Nothing to copy, no work done"
+ echo 'Nothing to copy, no work done'
fi
if [ -n "$to_add" ]; then
- echo "Cleaning staging dir"
+ echo 'Cleaning staging dir'
/bin/rm $to_add
fi
diff --git a/misc-scripts/ftpdir-cleanup b/misc-scripts/ftpdir-cleanup
index 7fedd76..da2f95b 100755
--- a/misc-scripts/ftpdir-cleanup
+++ b/misc-scripts/ftpdir-cleanup
@@ -23,10 +23,10 @@ for arch in ${ARCHES[@]}; do
TMPDIR=$(mktemp -d /tmp/cleanup-XXXXXX) || exit 1
ftppath="$ftppath_base/$arch"
- MISSINGFILES=""
- DELETEFILES=""
- DELETESYMLINKS=""
- EXTRAFILES=""
+ MISSINGFILES=''
+ DELETEFILES=''
+ DELETESYMLINKS=''
+ EXTRAFILES=''
if [ ! -d "$ftppath" ]; then
echo "FTP path '$ftppath' does not exist"
@@ -39,14 +39,14 @@ for arch in ${ARCHES[@]}; do
fi
if [ ! -f "$ftppath/$reponame$DBEXT" ]; then
- echo ""
+ echo ''
echo "ERROR: The file \"$ftppath/$reponame$DBEXT\" could not be found, aborting."
- echo ""
+ echo ''
exit 1
fi
if ! bsdtar xf "$ftppath/$reponame$DBEXT"; then
- echo ""
+ echo ''
echo "ERROR: Command failed: bsdtar xf \"$ftppath/$reponame$DBEXT\""
exit 1
fi
@@ -92,7 +92,7 @@ for arch in ${ARCHES[@]}; do
# Do a quick check to see if a missing ARCHINDEPFILE is in the any dir
# If it is, and the file is MISSING, restore it
missfiles="$MISSINGFILES"
- MISSINGFILES=""
+ MISSINGFILES=''
for mf in $missfiles; do
if [ -e "${ftppath_base}/any/${mf}" ]; then
echo "Restoring missing 'any' symlink: ${mf}"
@@ -112,33 +112,33 @@ for arch in ${ARCHES[@]}; do
echo "Scan complete for $reponame ($arch) at ${ftppath}"
if [ -n "$DELETEFILES" ]; then
- echo " The following files are out of date"
+ echo ' The following files are out of date'
echo " They will be moved to '$dest'"
for f in $DELETEFILES; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$DELETESYMLINKS" ]; then
- echo " The following symlinks are out of date"
- echo " They will be deleted"
+ echo ' The following symlinks are out of date'
+ echo ' They will be deleted'
for f in $DELETESYMLINKS; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$MISSINGFILES" ]; then
- echo " The following files are missing in the repo"
+ echo ' The following files are missing in the repo'
for f in $MISSINGFILES; do
echo " $f"
done
- echo ""
+ echo ''
fi
if [ -n "$EXTRAFILES" ]; then
- echo " The following files are in the repo but not the db"
+ echo ' The following files are in the repo but not the db'
echo " They will be moved to '$dest'"
for f in $EXTRAFILES; do
echo " $f"
@@ -147,22 +147,22 @@ for arch in ${ARCHES[@]}; do
if [ -n "${DELETEFILES}" ]; then
${CLEANUP_DRYRUN} || mv ${DELETEFILES} "$dest"
- echo ""
+ echo ''
fi
if [ -n "${DELETESYMLINKS}" ]; then
${CLEANUP_DRYRUN} || rm -f ${DELETESYMLINKS}
- echo ""
+ echo ''
fi
if [ -n "${EXTRAFILES}" ]; then
${CLEANUP_DRYRUN} || mv ${EXTRAFILES} "$dest"
- echo ""
+ echo ''
fi
done
-ARCHINDEPFILES=""
+ARCHINDEPFILES=''
if [ -d "$ftppath_base/any" ]; then
cd "$ftppath_base/any"
@@ -184,8 +184,8 @@ if [ -d "$ftppath_base/any" ]; then
fi
if [ -n "$ARCHINDEPFILES" ]; then
- echo " The following architecture independent packages"
- echo " are not symlinked in the architecture repositories."
+ echo ' The following architecture independent packages'
+ echo ' are not symlinked in the architecture repositories.'
echo " They will be moved to '$dest'"
for f in $ARCHINDEPFILES; do
echo " $f"
@@ -195,7 +195,7 @@ fi
if [ -d "$ftppath_base/any" -a -n "${ARCHINDEPFILES}" ]; then
cd "$ftppath_base/any"
${CLEANUP_DRYRUN} || mv ${ARCHINDEPFILES} "$dest"
- echo ""
+ echo ''
fi
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/misc-scripts/make-sourceball b/misc-scripts/make-sourceball
index fca6ac4..9e62c06 100755
--- a/misc-scripts/make-sourceball
+++ b/misc-scripts/make-sourceball
@@ -2,7 +2,7 @@
if [ $# -ne 3 -a $# -ne 4 ]; then
echo "usage: $(basename $0) [-f] <packagename> <repo> <arch>"
- echo " -f Force building. Skip license checks"
+ echo ' -f Force building. Skip license checks'
exit 1
fi
@@ -20,7 +20,7 @@ reponame="$2"
_arch="$3"
srcpath="$FTP_BASE/sources/"
-logpath="/var/log/sourceballs/"
+logpath='/var/log/sourceballs/'
WORKDIR="/tmp/make-sourceball.$packagename.$UID"
@@ -31,7 +31,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
@@ -97,7 +97,7 @@ create_srcpackage() {
remove_old() {
if [ -d "$1" ]; then
pushd "$1" >/dev/null
- PKGVERS=""
+ PKGVERS=''
for repo in *; do
cd "$repo"
. "$BUILDSCRIPT"
diff --git a/testing2community b/testing2community
index b8de926..f87c927 100755
--- a/testing2community
+++ b/testing2community
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "i686"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'i686'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community-any b/testing2community-any
index 83153dc..c9540f7 100755
--- a/testing2community-any
+++ b/testing2community-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "any"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2community64 b/testing2community64
index d0d6dd3..c808b3f 100755
--- a/testing2community64
+++ b/testing2community64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "community-testing" "community" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'community-testing' 'community' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core b/testing2core
index 5f6088a..4c53d34 100755
--- a/testing2core
+++ b/testing2core
@@ -7,5 +7,5 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "i686"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'i686'
done
diff --git a/testing2core-any b/testing2core-any
index 4e362ad..56f0753 100755
--- a/testing2core-any
+++ b/testing2core-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "any"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2core64 b/testing2core64
index f307413..c9420fe 100755
--- a/testing2core64
+++ b/testing2core64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "core" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'testing' 'core' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra b/testing2extra
index 12795b4..9b62788 100755
--- a/testing2extra
+++ b/testing2extra
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "i686"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'i686'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra-any b/testing2extra-any
index 2455381..5bbee58 100755
--- a/testing2extra-any
+++ b/testing2extra-any
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "any"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'any'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2extra64 b/testing2extra64
index b555210..25d91f6 100755
--- a/testing2extra64
+++ b/testing2extra64
@@ -7,7 +7,7 @@ fi
for pkg in $@; do
echo "==> Moving package '$pkg'"
- $(dirname $0)/db-move "$pkg" "testing" "extra" "x86_64"
+ $(dirname $0)/db-move "$pkg" 'testing' 'extra' 'x86_64'
done
# vim: set ts=4 sw=4 noet ft=sh:
diff --git a/testing2x b/testing2x
index 7720033..3a60da2 100755
--- a/testing2x
+++ b/testing2x
@@ -5,10 +5,10 @@
case "$0" in
*64)
- _arch="x86_64"
+ _arch='x86_64'
;;
*)
- _arch="i686"
+ _arch='i686'
;;
esac
WORKDIR="$TMPDIR/testing2x.$UID"
@@ -20,7 +20,7 @@ cleanup() {
}
ctrl_c() {
- echo "Interrupted" >&2
+ echo 'Interrupted' >&2
cleanup 0
}
--
1.7.0.2
--